| Flutter macOS Embedder |

Functions
FlutterRenderer.mm File Reference
`#import "flutter/shell/platform/darwin/macos/framework/Source/FlutterRenderer.h"`
`#import "flutter/shell/platform/darwin/macos/framework/Source/FlutterEngine_Internal.h"`
`#import "flutter/shell/platform/darwin/macos/framework/Source/FlutterExternalTexture.h"`
`#import "flutter/shell/platform/darwin/macos/framework/Source/FlutterViewController_Internal.h"`
`#import "flutter/shell/platform/darwin/macos/framework/Source/FlutterViewEngineProvider.h"`
`#include "flutter/shell/platform/embedder/embedder.h"`

Go to the source code of this file.

## Functions
static FlutterMetalTexture | OnGetNextDrawable (FlutterEngine *engine, const FlutterFrameInfo *frameInfo)
static bool | OnPresentDrawable (FlutterEngine *engine, const FlutterMetalTexture *texture)
static bool | OnAcquireExternalTexture (FlutterEngine *engine, int64_t textureIdentifier, size_t width, size_t height, FlutterMetalExternalTexture *metalTexture)

## Function Documentation

## ◆ OnAcquireExternalTexture()

static bool OnAcquireExternalTexture | ( | FlutterEngine * | engine,
|  | int64_t | textureIdentifier,
|  | size_t | width,
|  | size_t | height,
|  | FlutterMetalExternalTexture * | metalTexture
| ) |  |
| static

Definition at line 26 of file FlutterRenderer.mm.

30 {
31 return [engine.renderer populateTextureWithIdentifier:textureIdentifier
32 metalTexture:metalTexture];
33 }

Referenced by FlutterRenderer::createRendererConfig.

## ◆ OnGetNextDrawable()

static FlutterMetalTexture OnGetNextDrawable | ( | FlutterEngine * | engine,
|  | const FlutterFrameInfo * | frameInfo
| ) |  |
| static

Definition at line 15 of file FlutterRenderer.mm.

16 {
17 NSCAssert(NO, @"The renderer config should not be used to get the next drawable.");
18 return FlutterMetalTexture{};
19 }

Referenced by FlutterRenderer::createRendererConfig.

## ◆ OnPresentDrawable()

static bool OnPresentDrawable | ( | FlutterEngine * | engine,
|  | const FlutterMetalTexture * | texture
| ) |  |
| static

Definition at line 21 of file FlutterRenderer.mm.

21 {
22 NSCAssert(NO, @"The renderer config should not be used to present drawable.");
23 return false;
24 }

Referenced by FlutterRenderer::createRendererConfig.